# End user license agreement (EULA)

This End User License Agreement ("Agreement") is entered into between Execorp SAS, headquartered at 122 rue Amelot, 75011 Paris, France ("Execorp"), and the user ("You") who downloads, installs, accesses, or uses any part of the Exegol software, images, scripts, or associated resources ("Software").

By downloading, installing, accessing, or using the Software, You agree to be bound by this Agreement.

If You do not agree to the terms of this Agreement, You must not use the Software.

## 1. License grant

Subject to Your compliance with this Agreement, Execorp grants You a personal, limited, non-exclusive, non-transferable, revocable license to install and use the Software solely:
- For lawful purposes
- In accordance with the permitted usage defined in your subscription plan (Community, Pro, Enterprise)
- On a non-commercial basis under the Community plan
- Or on a commercial basis if You have an active Pro or Enterprise subscription

No ownership rights are granted to You. Execorp retains all rights not expressly granted under this Agreement.

### 1.1 Internet connectivity and license verification

Some components of the Software, including the command-line wrapper used to manage modules and environments, require periodic access to the Internet to verify the validity of the associated license.

You acknowledge that the Software is designed to perform regular license checks and may attempt to connect to Execorp’s servers for this purpose.

While temporary offline use is allowed and supported (e.g., in isolated environments), You agree that the system on which the Software is installed must reconnect to the Internet periodically in order to restore license verification. Extended use of the Software in offline mode without license validation may lead to automatic deactivation of certain features or the entire Software, at Execorp’s discretion.

This requirement may not apply to certain Enterprise licenses, on a case-by-case basis, where a dedicated wrapper version is distributed by Execorp to the licensed company.

## 2. License restrictions

You agree that You will not:
- Copy, distribute, sell, sublicense, lease, or otherwise transfer the Software to any third party
- Modify, adapt, create derivative works from, or translate the Software
- Reverse engineer, decompile, disassemble, or otherwise attempt to discover the source code of the Software, except as expressly permitted by applicable law and then only after prior written notice to Execorp
- Remove, obscure, or alter any proprietary notices, labels, or marks on the Software
- Use the Software for illegal activities or unauthorized penetration testing without explicit consent
- Use the Software in any manner that infringes the intellectual property rights or other rights of Execorp or any third party

## 3. Commercial use

Commercial use of the Software, including but not limited to:
- Using the Software in a professional environment
- Providing services to third parties
- Integrating the Software into commercial products or services

Commercial uses require an active Pro or Enterprise subscription purchased from Execorp.

Use of the Community (i.e., free) plan is strictly limited to personal, non-commercial, educational, or research purposes.

## 4. Intellectual property rights

All rights, titles, and interests in and to the Software, including any intellectual property rights therein, are and will remain the exclusive property of Execorp and its licensors.

This Agreement does not grant You any rights to trademarks or service marks of Execorp.

## 5. Updates and modifications

Execorp may, at its sole discretion, release updates, patches, or new versions of the Software.

This Agreement will govern any such updates unless expressly replaced by a different license agreement accompanying the updated version.

Execorp reserves the right to discontinue or modify the Software at any time without liability.

## 6. Termination

This Agreement is effective until terminated.

It will terminate automatically without notice if You breach any term of this Agreement. Upon termination, You must immediately cease all use of the Software and destroy all copies in Your possession or control.

Execorp may also terminate this Agreement at its discretion if it decides to cease providing the Software.

## 7. Disclaimer of warranties

The Software is provided "as is" without warranties of any kind, express or implied.

Execorp expressly disclaims any implied warranties of merchantability, fitness for a particular purpose, non-infringement, or accuracy.

Execorp does not warrant that the Software will operate uninterrupted or be error-free.

## 8. Limitation of liability

To the fullest extent permitted by applicable law, in no event will Execorp be liable for any indirect, incidental, special, consequential, or punitive damages arising out of or related to Your use of the Software.

Execorp's total cumulative liability arising from or related to this Agreement and the Software shall not exceed the amount You paid (if any) for a license during the twelve (12) months prior to the event giving rise to liability.

If You use the Software under the Community plan, Execorp assumes no liability.

## 9. Governing law and jurisdiction

This Agreement shall be governed by the laws of France.

Any dispute arising out of or related to this Agreement will be submitted to the exclusive jurisdiction of the courts located in Paris, France.

## 10. Contact

For any inquiries related to this Agreement or the Software, You may contact: [contact@exegol.com](mailto:contact@exegol.com)
