# Exegol Software License (ESL) - Version 1.0

## Preamble

The Exegol software suite ("Exegol") is developed by Execorp to serve the needs of cybersecurity professionals. While certain elements of the source code, scripts, documentation, or containers may be made publicly accessible, such availability is intended to foster transparency, community trust, and collaboration.

This public access does not imply a waiver of Execorp's intellectual property rights, nor does it authorize unrestricted or commercial use of the software.

### License Transition and GPL3 Coexistence

Exegol is transitioning from the GNU General Public License version 3 (GPL3) to the Execorp Software License (ESL). This transition is governed by the following rules:

- All code released prior to June 5th, 2025 remains under GPL3 (i.e., [GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007](https://www.gnu.org/licenses/gpl-3.0.en.html))
- Code released since June 5th, 2025 (the start date of this dual-license mechanism) will be under either:
  - The Exegol Software License (ESL)
  - or GPL3 (if it contains or is derived from GPL3-licensed code)

## 1. Definitions

- **Execorp**: company publishing Exegol
- **Exegol**: all software, scripts, Docker images, documentation, and associated content published by Execorp under this name
- **User**: any individual or legal entity accessing or using Exegol
- **Non-commercial use**: use without direct or indirect purpose of generating revenue or providing third-party services
- **Commercial use**: use of Exegol as a tool within a business context for the user's own operations, such as professional activities, internal training, or security operations
- **Commercial exploitation**: any activity that uses Exegol as a basis for generating revenue or providing services to third parties, including but not limited to maintenance, support, managed services, repackaging, or reselling
- **Subscription**: a monthly or yearly renewed purchase (Pro or Enterprise) that permits commercial use of Exegol under the terms of this license

## 2. Intellectual property

Exegol is and remains the exclusive property of Execorp. All rights not expressly granted by this license are reserved.

The public availability of part of the source code does not confer any right of use, modification, reproduction, or distribution outside the conditions provided by this license.

## 3. Granted rights

### 3.1 Non-commercial use

Execorp grants the user a free, personal, non-exclusive, non-transferable, and revocable license to use Exegol for strictly non-commercial purposes, such as:
- Academic research
- Individual learning
- Participation in cybersecurity competitions (CTF, hackathons)

### 3.2 Commercial Use and Exploitation

#### 3.2.1 Allowed Commercial Use (with subscription)
With a valid subscription (Pro or Enterprise), you are permitted to use Exegol in a commercial context for your own business operations (e.g., technical assessments, penetration test, bug bounty, research), such as:
- Using Exegol as part of your professional activities
- Using Exegol in your business or enterprise environment
- Using Exegol for internal training or documentation
- Using Exegol as part of your security operations

#### 3.2.2 Prohibited Commercial Exploitation
The following activities are strictly prohibited, even with a valid subscription, as they constitute commercial exploitation of Exegol. These activities require a specific written agreement with Execorp:

- Providing maintenance, support, or managed services on Exegol products
- Repackaging or redistributing Exegol as part of another product or service
- Using Exegol as a dependency in commercial software or services
- Providing Exegol as part of a commercial infrastructure or platform
- Creating derivative works or modifications of Exegol for commercial purposes
- Reselling or sublicensing Exegol in any form

In simple terms: You may use Exegol commercially for your own business needs with a subscription, but you may not build a business around Exegol itself without a specific agreement.

Any violation of these prohibitions may lead to legal action and immediate termination of the license.

### 3.3 Specific limitation for Pro subscription

An individual user holding a Pro subscription is authorized to activate up to two installations (e.g., two personal machines). Beyond this, an Enterprise subscription is mandatory.

## 4. Restrictions

The user is prohibited from:
- Redistributing all or part of Exegol without express authorization from Execorp
- Creating derivative works intended for commercial exploitation
- Modifying Exegol to circumvent usage limitations provided by this license
- Using Exegol to develop a competing product

Any violation of these restrictions will result in immediate termination of the license, without notice.

## 5. Contributions

Users who voluntarily contribute to Exegol (code, documentation, ideas, feedback):
- Grant Execorp an irrevocable, worldwide, free, and unlimited right to use, reproduce, modify, publish, or distribute these contributions, and an exclusive right to commercialize it.
- Accept that certain contributions may be subject to a specific intellectual property rights transfer agreement, established case by case by Execorp

Users further acknowledge and agree that any contribution proposed for inclusion into any official Exegol project (via pull request or equivalent) may be subject to prior technical or legal review. Execorp reserves the right to contact the contributor to negotiate and formalize a written assignment of rights agreement before the contribution is accepted and merged.

## 6. No warranty

Exegol is provided "as is", without any warranty, express or implied, including but not limited to warranties of merchantability, fitness for a particular purpose, or absence of errors. The user assumes all risks associated with the use of Exegol.

## 7. Limitation of liability

To the fullest extent permitted by applicable law, Execorp shall not be liable for:
- Any direct, indirect, special, incidental, or consequential damages
- Any loss of profits, business interruption, loss of data or customers
- Unlawful use of Exegol by third parties

## 8. Duration

This license is granted for the entire duration of applicable legal protection, except in case of early termination for non-compliance with its terms.

## 9. Termination

The license is automatically terminated in case of violation of the stated terms. Execorp reserves the right to revoke the license for any fraudulent or abusive use. In case of termination:
- The user must immediately cease all use of Exegol
- Any existing subscriptions will be terminated without refund
- Execorp may pursue legal action for any continued unauthorized use

## 10. Governing law and jurisdiction

This license is governed by French law. Any dispute relating to its interpretation or application shall be submitted to the exclusive jurisdiction of the courts of Paris.
